(* Time-stamp: <modified the 13/05/2019 (at 15:03) by Erwan Jahier> *)


(* XXX find a better name *)
type layout = (Process.t * Algo.neighbor list) list
type t = SasArg.t * layout * Env.t

(* [make argv] *)
val make : bool -> string array -> t

type enable_processes =
  (Process.t * Algo.neighbor list * Algo.action) list list * bool list list
    
val get_enable_processes: layout -> Env.t -> enable_processes
  
val do_step : (Process.t * Algo.neighbor list * Algo.action) list -> Env.t -> Env.t

val get_inputs_rif_decl : SasArg.t -> Process.t list -> (string * string) list
val get_outputs_rif_decl: SasArg.t -> Process.t list -> (string * string) list
