(* Time-stamp: <modified the 07/06/2019 (at 16:45) by Erwan Jahier> *)

type node_id = string
type node = {
  id: node_id; (* The id of the node as stated in the dot file *)
  file: string; (* the content of the algo field (a cxms file) *)
  init: (string * string) list; (* store the content of the init field *)
}


type t = {
  nodes: node list;
  succ: node_id -> node_id list; 
  of_id: node_id -> node;
}

(** Parse a sasa dot file *)
val read: string -> t
